## CongEditorAreaUnderline

CongEditorAreaUnderline —

## Synopsis

    struct      CongEditorAreaUnderline;
    #define     CONG_EDITOR_AREA_UNDERLINE      (obj)
    #define     CONG_EDITOR_AREA_UNDERLINE_CLASS(klass)
    #define     IS_CONG_EDITOR_AREA_UNDERLINE   (obj)
    GType       cong_editor_area_underline_get_type
                                                (void);
    CongEditorArea* cong_editor_area_underline_construct
                                                (CongEditorAreaUnderline *area_underline,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongEditorAreaUnderlineStyle style);
    CongEditorArea* cong_editor_area_underline_new
                                                (CongEditorWidget3 *editor_widget,
                                                 CongEditorAreaUnderlineStyle style);

## Object Hierarchy

      GObject
       +----CongEditorArea
             +----CongEditorAreaUnderline

## Description

## Details

### struct CongEditorAreaUnderline

    struct CongEditorAreaUnderline;

### CONG_EDITOR_AREA_UNDERLINE()

    #define CONG_EDITOR_AREA_UNDERLINE(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_UNDERLINE_TYPE, CongEditorAreaUnderline)

`obj` : |

### CONG_EDITOR_AREA_UNDERLINE_CLASS()

    #define CONG_EDITOR_AREA_UNDERLINE_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_UNDERLINE_TYPE, CongEditorAreaUnderlineClass)

`klass` : |

### IS_CONG_EDITOR_AREA_UNDERLINE()

    #define IS_CONG_EDITOR_AREA_UNDERLINE(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_UNDERLINE_TYPE)

`obj` : |

### cong_editor_area_underline_get_type ()

    GType       cong_editor_area_underline_get_type
                                                (void);

Returns : |

### cong_editor_area_underline_construct ()

    CongEditorArea* cong_editor_area_underline_construct
                                                (CongEditorAreaUnderline *area_underline,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongEditorAreaUnderlineStyle style);

TODO: Write me

`area_underline` : |
`editor_widget` : |
`style` : |
Returns : |

### cong_editor_area_underline_new ()

    CongEditorArea* cong_editor_area_underline_new
                                                (CongEditorWidget3 *editor_widget,
                                                 CongEditorAreaUnderlineStyle style);

TODO: Write me

`editor_widget` : |
`style` : |
Returns : |